Update (PUT alias) bulk call campaigns/item/analysis attachments/item
curl --request PUT \
--url https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-attachments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": "<string>",
"execution_order": "<string>",
"overrides": "<string>",
"agent_id": "<string>",
"bulk_call_campaign_id": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: '<string>',
execution_order: '<string>',
overrides: '<string>',
agent_id: '<string>',
bulk_call_campaign_id: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-attachments/{id}"
payload = {
"enabled": "<string>",
"execution_order": "<string>",
"overrides": "<string>",
"agent_id": "<string>",
"bulk_call_campaign_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"prompt_id": "<string>",
"prompt_name": "<string>",
"prompt_status": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"enabled": "<string>",
"execution_order": "<string>",
"overrides": "<string>",
"attachable_type": "<string>",
"attachable_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Campaigns
Update (PUT alias) bulk call campaigns/item/analysis attachments/item
From api/v1/call_analysis_attachments#update in voice_saas_api. Fields come from that action’s strong params / params usage.
PUT
/
api
/
v1
/
bulk_call_campaigns
/
{bulk_call_campaign_id}
/
analysis-attachments
/
{id}
Update (PUT alias) bulk call campaigns/item/analysis attachments/item
curl --request PUT \
--url https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-attachments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": "<string>",
"execution_order": "<string>",
"overrides": "<string>",
"agent_id": "<string>",
"bulk_call_campaign_id": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: '<string>',
execution_order: '<string>',
overrides: '<string>',
agent_id: '<string>',
bulk_call_campaign_id: '<string>'
})
};
fetch('https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/bulk_call_campaigns/{bulk_call_campaign_id}/analysis-attachments/{id}"
payload = {
"enabled": "<string>",
"execution_order": "<string>",
"overrides": "<string>",
"agent_id": "<string>",
"bulk_call_campaign_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"prompt_id": "<string>",
"prompt_name": "<string>",
"prompt_status": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"enabled": "<string>",
"execution_order": "<string>",
"overrides": "<string>",
"attachable_type": "<string>",
"attachable_id": "<string>",
"created_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
application/json
Was this page helpful?